org.apache.ignite.internal.processors.odbc

## Interface SqlListenerMessageParser

All Known Implementing Classes:
  JdbcMessageParser, OdbcMessageParser

    public interface SqlListenerMessageParser

SQL listener message parser.

### Method Summary

Methods
`SqlListenerRequest` `decode(byte[] msg)` Decode request from byte array.
`byte[]` `encode(SqlListenerResponse resp)` Encode response to byte array.

### Method Detail

#### decode

    SqlListenerRequest decode(byte[] msg)

Decode request from byte array.

Parameters:
  `msg` - Message.
Returns:
  Request.

#### encode

    byte[] encode(SqlListenerResponse resp)

Encode response to byte array.

Parameters:
  `resp` - Response.
Returns:
  Message.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017